////////////////////////////////////////////////////////////////////////
// \file    EventHeader.h
// \brief   Store information about the event
// \author  $Author: janzirn $
// \date    $Date: 2015-04-03 16:12:04 $
////////////////////////////////////////////////////////////////////////

#ifndef NOVADDT_EVENTHEADER_H
#define NOVADDT_EVENTHEADER_H

#include <stdint.h>

namespace novaddt
{

  class EventHeader
  {
  public:
    // Default Constructor
    EventHeader(){ };

    uint64_t timeStart;
    uint64_t eventNumber;
    bool     missingData;
    uint64_t totalBytes;
    uint32_t datablockCount;

};

} // end novaddt namespace

#endif // NOVADDT_EVENTHEADER_H
/////////////////////////////////////////////////////////////////////////////////////////////
