#ifndef DDT_TRIGGERDECISION_H
#define DDT_TRIGGERDECISION_H


#include "BaseProducts.h"

#include <string>


namespace novaddt
{
  class TriggerDecision 
  {
  public:

    TriggerDecision();

#ifndef __GCCXML__
    TriggerDecision(TDC start, TDC duration, TriggerMask mask, unsigned prescale);

    TDC::value_type         start()     const;
    TDC::value_type         duration()  const;
    TriggerMask::value_type mask()      const;
    unsigned                prescale()  const;
    TDC                     setStart(TDC::value_type start)
      {return _start=start;};
    TDC                     setDuration(TDC::value_type duration)
      {return _duration=duration;};
    TriggerMask             setMask(TriggerMask::value_type mask)
      {return _mask=mask;};
    unsigned                setPrescale(unsigned prescale)
    {return _prescale=prescale;};

#endif

  private:
    TDC _start, _duration;
    TriggerMask _mask;
    unsigned    _prescale;
  };
}


#endif

